Subject: bug#13636: 24.3.50; tramp+ftp broken

From: Thierry Volpiatto <[email-masked]>
Date: Wed, 06 Feb 2013 15:42:01 +0100

Hi Michael,

Michael Albinus <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> Hi,
>
> Hi Thierry,
>
>> I start with emacs -Q
>>
>> Here some basic setting:
>>
>> --8<---------------cut here---------------start------------->8---
>> (setq ange-ftp-try-passive-mode t)
>> (setq ange-ftp-passive-host-alist '(("mafreebox.freebox.fr" . "on")))
>> --8<---------------cut here---------------end--------------->8---
>
> I have done exactly the same, starting emacs -Q and evalling the two
> lines. 
>
>> C-x C-f /ftp:mafreebox.freebox.fr:/ RET
>>
>> On emacs-24.3.50.1:(cursor at "!")
>>
>> C-x C-f /ftp:mafreebox.freebox.fr"!"
>>
>> As soon as I enter the last ":", I have this error:
>>
>> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>
> This does not happen to me. Do you apply other settings but the two
> lines?
No, I am starting from emacs -Q + the two lines above, that's all, I have
also an entry in .netrc for this host.
As I said, on 24.2.92, files are displayed instantly doing the same.

> Which bzr revision do you use? I have tested with revno #111682
I have updated repo from git this morning:

--8<---------------cut here---------------start------------->8---
9a06a7f * origin/trunk origin/master master 
        | Author: Glenn Morris <[email-masked]>
        | Date:   Tue Feb 5 21:03:35 2013 -0500
        | 
        |     * lisp/startup.el (command-line): If simple.el is missing,
        |     test and warn about for some possible causes.
        | 
        |  lisp/ChangeLog  |    5 +++++
        |  lisp/startup.el |   17 +++++++++++++----
        |  2 files changed, 18 insertions(+), 4 deletions(-)
--8<---------------cut here---------------end--------------->8---

> Note that I have reverted a patch recently, which might be responsible
> for the problem. You could check in the ChangeLog, whether there is
>
> 2013-01-31  Michael Albinus  <[email-masked]>
>
>         * net/tramp.el (tramp-tramp-file-p): Comment check for
>         `string-as-unibyte'.  The function does not exist on XEmacs, and
>         likely we need another approach.

Yes this is in changelog.

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997